import * as React from 'react';
import { IDropdownOption } from 'office-ui-fabric-react/lib/Dropdown';
import { IDrawerGroupsProps } from './DrawerGroups.types';
import { IMovableOptionsListElement } from '../MovableOptionsList';
import './DrawerGroups.css';
export interface IDrawerGroupsState {
    name: string;
    description: string;
    sites: IDropdownOption[];
    selectedSite?: number;
    drawers: IMovableOptionsListElement[];
    validateFieldsMessage: string | undefined;
}
export declare class DrawerGroupsBase extends React.PureComponent<IDrawerGroupsProps, IDrawerGroupsState> {
    static defaultProps: {
        labelCmdBarBtnSave: string;
        labelCmdBarBtnEdit: string;
        labelCmdBarBtnCancel: string;
        labelValidationMessage: string;
        labelDrawerGroupsValidationMessage: string;
        labelFormName: string;
        labelFormSite: string;
        labelFormSitePlaceholder: string;
        labelFormDescription: string;
        labelFormMovableAvailable: string;
        labelFormMovableSelected: string;
        labelFormMovableProperty: string;
    };
    private initialState;
    constructor(props: IDrawerGroupsProps);
    componentDidMount(): void;
    componentDidUpdate(prevProps: IDrawerGroupsProps): void;
    private delayedExecution;
    private closeErrorsMessage;
    private init;
    private componentDidMountInNewMode;
    private componentDidMountInEditMode;
    private loadSiteDrawers;
    private getFormCommandBarItems;
    private onSubmit;
    private validate;
    render(): JSX.Element;
}
