import * as React from 'react';
import { IContextualMenuProps } from 'office-ui-fabric-react/lib/ContextualMenu';
import { IListProps } from './List.types';
import './List.css';
export interface IListState {
    rows: any[];
    columns: any[];
    isFirstLoad: boolean;
    curPage: number;
    enableSearch: boolean;
    enableSort: boolean;
    searchTxt?: string;
    totalPages?: number;
    isLoading?: boolean;
    sortBy?: string;
    sortDesc?: boolean;
    contextualMenuProps?: IContextualMenuProps;
    overrideDevice: boolean;
}
export declare class ListBase extends React.PureComponent<IListProps, IListState> {
    private _scrollablePane;
    constructor(props: IListProps);
    render(): JSX.Element;
    componentDidMount(): void;
    private onFirstLoad;
    private setColumns;
    private addColumnDefaults;
    private buildCustomColumns;
    private buildColumns;
    private onSearch;
    private onDelayedLoadNextPage;
    private onLoadNextPage;
    private onColumnClick;
    private setRowContextMenu;
    private onDismissRowContextMenu;
    private onRenderDetailsHeader;
    private onRenderColumnHeaderTooltip;
}
