import * as React from 'react';
import { IMenusAdminFormProps, IMenuCommand } from './MenusAdminForm.types';
import { IMovableOptionsListElement } from '../MovableOptionsList';
import './MenusAdminForm.css';
export interface IMenusAdminFormState {
    id: string;
    name: string;
    description: string;
    existingCommands: IMenuCommand[];
    movableCommands: IMovableOptionsListElement[];
    previewItems: any[];
    toggleTextMode: boolean;
    showPanel: boolean;
    editableCommand: any;
    error: any;
}
export declare class MenusAdminFormBase extends React.PureComponent<IMenusAdminFormProps, IMenusAdminFormState> {
    static defaultProps: {
        labelFormId: string;
        labelFormName: string;
        labelFormDescription: string;
        labelFormCommand: string;
        labelCmdBarBtnSave: string;
        labelCmdBarBtnEdit: string;
        labelCmdBarBtnCancel: string;
        labelFormFieldset: string;
        labelToggleOn: string;
        labelToggleOff: string;
        labelFormMenuItemId: string;
        labelFormMenuItemName: string;
        labelFormMenuItemIcon: string;
    };
    constructor(props: IMenusAdminFormProps);
    componentDidMount(): void;
    componentDidUpdate(prevProps: IMenusAdminFormProps): void;
    private init;
    componentDidMountNew(): void;
    componentDidMountEdit(): void;
    render(): JSX.Element;
    private itemsToIMovableOptionsListElements;
    private getPreviewCommandBarItems;
    private getFormCommandBarItems;
    private handleSwapChange;
    private changePreviewCommandBarMode;
    private onShowPanel;
    private onDismissPanel;
    private editCommand;
    private changeEditableCommandIcon;
    private getElementOnArray;
    private onSubmit;
    private logResult;
}
