import { ITheme, IStyle } from 'office-ui-fabric-react/lib/Styling';
import { IStyleFunctionOrObject } from 'office-ui-fabric-react/lib/Utilities';
export interface IMenusAdminFormProps {
    id?: string;
    title?: string;
    url: string;
    height?: string;
    labelFormId?: string;
    labelFormName?: string;
    labelFormDescription?: string;
    labelFormCommand?: string;
    labelFormFieldset?: string;
    labelCmdBarBtnSave?: string;
    labelCmdBarBtnEdit?: string;
    labelCmdBarBtnCancel?: string;
    labelToggleOn?: string;
    labelToggleOff?: string;
    labelFormMenuItemId?: string;
    labelFormMenuItemName?: string;
    labelFormMenuItemIcon?: string;
    styles?: IStyleFunctionOrObject<IMenusAdminFormStyleProps, IMenusAdminFormStyles>;
    theme?: ITheme;
    className?: string;
    commands: IMenuCommand[];
    onCancel: () => any;
    onSubmitSuccess: (response: any) => void;
    onSubmitError: (error: any) => void;
}
export interface IMenusAdminFormStyleProps {
    theme: ITheme;
    className?: string;
}
export interface IMenusAdminFormStyles {
    root?: IStyle;
}
export interface IMenuCommand {
    id: string;
    name: string;
    icon: string;
}
export interface IMenusAdminFormResult {
    id: string;
    name: string;
    description: string;
    textMode: boolean;
    items: IMenuCommand[];
}
