import * as React from 'react';
import './MovableOptionsList.css';
import { IMovableOptionsListProps, IMovableOptionsListElement } from './MovableOptionsList.types';
export declare const MoveModeEnum: {
    SELECTED_TO_AVAILABLE: number;
    AVAILABLE_TO_SELECTED: number;
};
export declare const MoveDirectionEnum: {
    UP: number;
    DOWN: number;
};
export interface IMovableOptionsListState {
    isAvailableSelected: boolean;
    isSelectedSelected: boolean;
    availableElems: IMovableOptionsListElement[];
    selectedElems: IMovableOptionsListElement[];
    error: any;
}
export declare class MovableOptionsListBase extends React.PureComponent<IMovableOptionsListProps, IMovableOptionsListState> {
    private scrollablePaneAvailable;
    private scrollablePaneSelected;
    private selectionAvailable;
    private selectionSelected;
    private columns;
    constructor(props: IMovableOptionsListProps);
    componentDidMount(): void;
    checkElements(): void;
    componentDidUpdate(prevProps: IMovableOptionsListProps): void;
    render(): JSX.Element;
    private swapElements;
    private moveSelected;
    private handleSwapChange;
    private handleMoveUpAndDownChange;
}
