import { ITheme, IStyle } from 'office-ui-fabric-react/lib/Styling';
import { IStyleFunctionOrObject } from 'office-ui-fabric-react/lib/Utilities';
export interface ITemplateAdminFormProps {
    id?: string;
    styles?: IStyleFunctionOrObject<ITemplateAdminFormStyleProps, ITemplateAdminFormStyles>;
    theme?: ITheme;
    className?: string;
    baseUrl: string;
    useName?: boolean;
    titleOnPanels?: boolean;
    labelTitleNew?: string;
    labelTitleEdit?: string;
    allowDisplayProperties?: boolean;
    allowMenus?: boolean;
    labelFormTemplateName?: string;
    labelDialogTitleDelete?: string;
    labelDialogSubtextPrefixDelete?: string;
    labelDialogSubtextSuffixDelete?: string;
    labelDialogBtnDelete?: string;
    labelDialogBtnCancel?: string;
    labelPanelSettingsPropertyTitle?: string;
    labelPanelSettingsOperatorsTitle?: string;
    labelPanelSettingsBtnUseAll?: string;
    labelPanelSettingsBtnUseSelected?: string;
    labelPanelSettingsEquals?: string;
    labelPanelSettingsStartsWith?: string;
    labelPanelSettingsContains?: string;
    labelPanelSettingsIsEmpty?: string;
    labelPanelSettingsGreaterThan?: string;
    labelPanelSettingsLessThan?: string;
    labelPanelSettingsWithin?: string;
    labelPanelSettingsIncludes?: string;
    labelDialogTitleReset?: string;
    labelDialogSubtextReset?: string;
    labelDialogBtnReset?: string;
    labelPanelDisplayPropertiesTitle?: string;
    labelPanelAddPropertiesTitle?: string;
    labelPanelMenusTitle?: string;
    labelPanelAddBtnAdd?: string;
    labelPanelAddBtnCancel?: string;
    labelIconOperatorDelete?: string;
    labelIconOperatorSetting?: string;
    labelIconOperatorUp?: string;
    labelIconOperatorDown?: string;
    labelCmdBarBtnSave?: string;
    labelCmdBarBtnEdit?: string;
    labelCmdBarBtnCancel?: string;
    labelCmdBarFarBtnAdd?: string;
    labelCmdBarFarBtnReset?: string;
    labelCmdBarFarBtnResults?: string;
    labelMovListAvailable?: string;
    labelMovListSelected?: string;
    labelFormFieldset?: string;
    labelMenuRemoveSelection?: string;
    labelDialogTitleConfirmMainChange?: string;
    labelDialogSubtextConfirmMainChange?: string;
    labelDialogBtnConfirmMainChange?: string;
    labelMainValidationMessage?: string;
    labelPropertiesValidationMessage?: string;
    labelDisplayPropertiesValidationMessage?: string;
    getDynamicTranslation?: (key: string) => string;
    getPropertiesDetailsUrl?: () => string;
    onCancel: () => any;
    onSubmitSuccess: (response: any) => void;
    onSubmitError: (error: any) => void;
}
export interface ITemplateAdminFormStyleProps {
    theme: ITheme;
    className?: string;
}
export interface ITemplateAdminFormStyles {
    root?: IStyle;
}
export interface IFieldValue {
    id: any;
    value: string;
    selected?: boolean;
}
export interface ITemplateAdminMainRow {
    id: number;
    name: string;
    values: IFieldValue[];
}
export interface ITemplateAdminPropertiesRow {
    id: number;
    name: string;
    isSystemField: boolean;
    selectedOperation: number;
    values: IFieldValue[];
    propertyType: any;
    operations: any[];
}
export interface ITemplateAdminFormObject {
    id: string;
    name: string;
    main: Map<number, ITemplateAdminMainRow>;
    properties: Map<number, ITemplateAdminPropertiesRow>;
    displayProperties: any[];
    menuId: string;
}
export declare const OperatorsSettingsTypeEnum: {
    USE_ALL: string;
    USE_SELECTED: string;
};
export declare enum FormModeEnum {
    NEW = 0,
    EDIT = 1
}
