import { ITheme, IStyle } from 'office-ui-fabric-react/lib/Styling';
import { IStyleFunctionOrObject } from 'office-ui-fabric-react/lib/Utilities';
export interface ITemplateFormProps {
    user: string;
    url: string;
    styles?: IStyleFunctionOrObject<ITemplateFormStyleProps, ITemplateFormStyles>;
    theme?: ITheme;
    className?: string;
    renderType?: RenderType;
    hideExternalSurface?: boolean;
    labelCmdBarSearch?: string;
    labelCmdBarCancel?: string;
    onCancel: () => any;
    onSubmit: (formAsJsonEncoded: string) => void;
}
export interface ITemplateFormStyleProps {
    theme: ITheme;
    className?: string;
    renderType?: RenderType;
}
export interface ITemplateFormStyles {
    root?: IStyle;
    title?: IStyle;
    commandBar?: IStyle;
    form?: IStyle;
}
export interface ITemplateFormRow {
    id: number;
    name: string;
    isSystemField: boolean;
    operation: string | number;
    values: any[];
}
export interface ITemplateFormSearchObject {
    main: any[];
    values: Map<number, ITemplateFormRow>;
    displayColumns: any[];
}
export declare enum RenderType {
    COMMANDBAR = 0,
    DIALOG = 1,
    PANEL = 2
}
export interface ITemplateDto {
    id: number;
    name: string;
    main: ITemplateMainFieldDto[];
    data: ITemplatePropertyFieldDto[];
    displayColumns: string[];
}
export interface ITemplateMainFieldDto {
    id: number;
    name: string;
    values: ITemplateFieldValueDto[];
}
export interface ITemplatePropertyFieldDto extends ITemplateMainFieldDto {
    field: string;
    isSystemField: boolean;
    types: ITemplateFieldValueDto[];
    operations: ITemplateFieldValueDto[];
}
export interface ITemplateFieldValueDto {
    key: number | string;
    text: string;
    selected?: boolean;
}
