import * as React from 'react';
import { Slide, toast, ToastContainer } from 'react-toastify';

import 'react-toastify/dist/ReactToastify.css';

export interface ISuccessMessage {
  title: string;
  message: string;
}

export interface IWarningMessage {
  title: string;
  message: string;
}

export interface IErrorMessage {
  title: string;
  message: string;
  error: any;
}

export function renderToastContainer(): JSX.Element {
  return <ToastContainer autoClose={3000} pauseOnFocusLoss={false} pauseOnHover={false} transition={Slide} hideProgressBar={true} />;
}

export function successToast(msg: ISuccessMessage): void {
  toast.info(msg.message);
}

export function warningToast(msg: IWarningMessage): void {
  toast.warn(msg.message);
}

export function errorToast(msg: IErrorMessage): void {
  toast.error(msg.message);
  console.log(msg.title, msg.error);
}
