import * as React from 'react';

import { storiesOf } from '@storybook/react';

import { DrawerGroups } from './DrawerGroups';

import 'office-ui-fabric-react/dist/css/fabric.min.css';

storiesOf('DrawerGroups', module)
  .add('New Mode', () => (
    <DrawerGroups
      onCancel={() => console.log('Cancel')}
      onSubmitSuccess={response => console.log(response)}
      onSubmitError={response => console.log(response)}
      title="Create New Drawer Group"
      baseUrl="http://localhost:5000/api"
    />
  ))
  .add('Edit Mode', () => (
    <DrawerGroups
      id={1}
      onCancel={() => console.log('Cancel')}
      onSubmitSuccess={response => console.log(response)}
      onSubmitError={response => console.log(response)}
      title="Edit Drawer Group"
      baseUrl="http://localhost:5000/api"
    />
  ));
