import * as React from 'react';

import { Fabric } from 'office-ui-fabric-react/lib/Fabric';

import { classNamesFunction } from 'office-ui-fabric-react/lib/Utilities';

import { IDummyComponentProps, IDummyComponentStyleProps, IDummyComponentStyles } from './DummyComponent.types';

import './DummyComponent.css';

const getClassNames = classNamesFunction<IDummyComponentStyleProps, IDummyComponentStyles>();

export interface IDummyComponentState {}

export class DummyComponentBase extends React.PureComponent<IDummyComponentProps, IDummyComponentState> {
  constructor(props: IDummyComponentProps) {
    super(props);
    this.state = {};
  }

  public render(): JSX.Element {
    const { className, styles, theme, message } = this.props;
    const classNames = getClassNames(styles, { theme: theme!, className });

    return <Fabric className={`ms-Grid ${classNames.root}`}>{message}</Fabric>;
  }
}
