import { IColumn, IDetailsRowProps, IDetailsList, Selection } from 'office-ui-fabric-react/lib/DetailsList';
import { IObjectWithKey } from 'office-ui-fabric-react/lib/Selection';
import { IRenderFunction, IStyleFunctionOrObject, IRefObject } from 'office-ui-fabric-react/lib/Utilities';

import { SelectionMode } from 'office-ui-fabric-react/lib/DetailsList';

import { ITheme, IStyle } from 'office-ui-fabric-react/lib/Styling';

import { IContextualMenuProps } from 'office-ui-fabric-react/lib/ContextualMenu';

export interface IListProps {
  setKey?: string;
  onRenderRow?: IRenderFunction<IDetailsRowProps>;
  onRenderItemColumn?: (item?: any, index?: number, column?: IColumn) => any;
  onSelectionChanged?: (selection: IObjectWithKey[]) => any;
  getUrl: (search: string, page: number, sortBy?: string, sortDesc?: boolean) => string;
  handleResponse: (items: any) => any;
  onBuildColumns?: (columns: IColumn[]) => IColumn[];
  onCustomBuildColumns?: () => IColumn[];
  selectIndexOnInit?: number;
  selectKeyOnInit?: string;
  selectionMode?: SelectionMode;
  selection?: Selection;
  enableSearch?: boolean;
  enableSort?: boolean;
  height: string;
  styles?: IStyleFunctionOrObject<IListStyleProps, IListStyles>;
  theme?: ITheme;
  className?: string;
  onItemContextMenu?: (item: any, index: number, ev: Event | undefined) => IContextualMenuProps;
  overrideDevice?: boolean;
  underlined?: boolean;
  componentRef?: IRefObject<IDetailsList>;
}

export interface IListStyleProps {
  theme: ITheme;
  className?: string;
}

export interface IListStyles {
  root?: IStyle;
}
