import * as React from 'react';

import { storiesOf } from '@storybook/react';

import { MenusAdminForm } from './MenusAdminForm';

import { IMenuCommand } from './MenusAdminForm.types';

import 'office-ui-fabric-react/dist/css/fabric.min.css';

const URL_BASE = 'http://localhost:5000/api';

storiesOf('MenusAdminForm', module)
  .add('New Mode', () => (
    <MenusAdminForm
      url={URL_BASE}
      title="Create New Menu"
      commands={getCommands()}
      onCancel={onCancel}
      onSubmitSuccess={response => console.log(response)}
      onSubmitError={response => console.log(response)}
    />
  ))
  .add('Edit Mode', () => (
    <MenusAdminForm
      url={URL_BASE}
      id={'ExportMenu'}
      title="Edit Menu"
      commands={getCommands()}
      onCancel={onCancel}
      onSubmitSuccess={response => console.log(response)}
      onSubmitError={response => console.log(response)}
    />
  ));

function getCommands(): IMenuCommand[] {
  const command1: IMenuCommand = {
    id: 'ExportToExcel',
    name: 'Export to Excel',
    icon: 'ExcelDocument'
  };
  const command2: IMenuCommand = {
    id: 'ExportToPdf',
    name: 'Export to Pdf',
    icon: 'Pdf'
  };
  const command3: IMenuCommand = {
    id: 'EditDocument',
    name: 'Edit Document',
    icon: 'Edit'
  };

  return [command1, command2, command3];
}

function onCancel(): void {
  console.log('onCancel ...');
}
