import * as React from 'react';

import { storiesOf } from '@storybook/react';

import { MovableOptionsList } from './MovableOptionsList';

import { IMovableOptionsListElement } from './MovableOptionsList.types';

import 'office-ui-fabric-react/dist/css/fabric.min.css';

storiesOf('MovableOptionsList', module)
  .add('Default', () => <MovableOptionsList elements={getElements()} height="400px" />)
  .add('Disable Up and Down', () => <MovableOptionsList elements={getElements()} height="400px" disableUpAndDown={true} />)
  .add('Titled', () => <MovableOptionsList elements={getElements()} title="Select Properties" height="400px" />);

function getElements(): IMovableOptionsListElement[] {
  return [
    {
      key: 1,
      text: 'Vendor',
      selected: true
    },
    {
      key: 2,
      text: 'Creation Date',
      selected: true
    },
    {
      key: 3,
      text: 'Updated Date',
      selected: false
    },
    {
      key: 4,
      text: 'Owner',
      selected: false
    }
  ];
}
