import * as React from 'react';

import { storiesOf } from '@storybook/react';

import { QuickButtonForm } from './QuickButtonForm';

import 'office-ui-fabric-react/dist/css/fabric.min.css';

const URL_BASE = 'http://localhost:5000/api';

storiesOf('QuickButtonForm', module)
  .add('New Mode', () => (
    <QuickButtonForm url={URL_BASE} onCancel={onCancel} onSubmitSuccess={onSubmitSuccess} onSubmitError={onSubmitError} />
  ))
  .add('New Mode With title', () => (
    <QuickButtonForm
      url={URL_BASE}
      title="Create new Quick Button"
      onCancel={onCancel}
      onSubmitSuccess={onSubmitSuccess}
      onSubmitError={onSubmitError}
    />
  ))
  .add('Edit Mode With title', () => (
    <QuickButtonForm
      url={URL_BASE}
      title="Edit Quick Button"
      onCancel={onCancel}
      onSubmitSuccess={onSubmitSuccess}
      onSubmitError={onSubmitError}
      id={1}
    />
  ));

function onSubmitSuccess(response: any) {
  console.log(response);
}

function onSubmitError(error: any) {
  console.log(error);
}

function onCancel(): void {
  console.log('onCancel ...');
}
