import { ITheme, IStyle } from 'office-ui-fabric-react/lib/Styling';

import { IStyleFunctionOrObject } from 'office-ui-fabric-react/lib/Utilities';

import { IconProp, IconLookup, IconName } from '@fortawesome/fontawesome-svg-core';

export interface IQuickButtonFormProps {
  url: string;
  id?: number;
  title?: string;
  labelCmdBarBtnSave?: string;
  labelCmdBarBtnEdit?: string;
  labelCmdBarBtnCancel?: string;
  labelFormTitleName?: string;
  labelFormTitleTemplate?: string;
  labelFormTitleIcon?: string;
  styles?: IStyleFunctionOrObject<IQuickButtonFormStyleProps, IQuickButtonFormStyles>;
  theme?: ITheme;
  className?: string;
  onSubmitSuccess: (response: any) => void;
  onSubmitError: (error: any) => void;
  onCancel: () => any;
}

export interface IQuickButtonFormStyleProps {
  theme: ITheme;
  className?: string;
}

export interface IQuickButtonFormStyles {
  root?: IStyle;
}

export interface IQuickButtonFormResult {
  id?: number;
  name: string;
  template: string | number;
  icon: string;
}

export function getFAIcon(name?: string): IconProp {
  if (name) {
    const cleanIcon = name.trim();
    const splitIcon = cleanIcon.split(' ');
    if (splitIcon.length > 1) {
      return { prefix: splitIcon[0], iconName: splitIcon[1] } as IconLookup;
    } else {
      cleanIcon as IconName;
    }
  }

  return name as IconName;
}
