import * as React from "react";

import { storiesOf } from "@storybook/react";

import { SearchBox } from "./SearchBox";

import 'office-ui-fabric-react/dist/css/fabric.min.css'

import SearchBoxDemo from '../../../demo/SearchBoxDemo';


storiesOf("SearchBox", module).add("Default", () => (
  <SearchBox onSearch={onSearch} />
));

storiesOf("SearchBox", module).add("Full Custom 2", () => (
  <SearchBoxDemo />
));


function onSearch(input: string): void {
  console.log("onSearch", input);
  let savedSearches: any[] = [];

  if (localStorage["recentSearches"]) {
    savedSearches = JSON.parse(localStorage["recentSearches"])
  }

  console.log("savedSearchs", savedSearches)
  if (savedSearches.map(e => e.input).indexOf(input) == -1) {
    savedSearches = [{ input: input }, ...savedSearches]

    if (savedSearches.length > 5) {
      savedSearches.splice(5, 1);
    }

    localStorage["recentSearches"] = JSON.stringify(savedSearches);
  }
}
