import * as React from 'react';

import { storiesOf } from '@storybook/react';

import { PersonaInitialsColor } from 'office-ui-fabric-react/lib/Persona';

import { Title } from './Title';

storiesOf('Title', module)
  .add('Default', () => <Title title="A Simple Title" />)
  .add('With Persona', () => <Title title="A Title with a Persona Square Icon" icon={true} />)
  .add('Persona With color String', () => <Title title="A Title with a Persona Square Icon with a Custom Color" icon={true} color="#333" />)
  .add('Persona With PersonaInitialsColor', () => (
    <Title title="A Title with a Persona Square Icon with a PersonaInitialsColor" icon={true} color={PersonaInitialsColor.darkBlue} />
  ));
