import * as React from 'react';

import { Persona, PersonaInitialsColor } from 'office-ui-fabric-react/lib/Persona';

import { Label } from 'office-ui-fabric-react/lib/Label';

import './Title.css';

export interface ITitleState {}

export interface ITitleProps {
  icon?: boolean;
  color?: string | PersonaInitialsColor;
  title: string;
}

export class Title extends React.PureComponent<ITitleProps, ITitleState> {
  constructor(props: ITitleProps) {
    super(props);
    this.state = {};
  }
  public render(): JSX.Element {
    const { icon, title, color } = this.props;
    const inColor: string | PersonaInitialsColor = color ? color : PersonaInitialsColor.blue;

    return (
      <div className="ms-Grid">
        {icon && (
          <div className="ms-Grid-row">
            <div className="ms-Grid-col ms-sm12 ms-md12 ms-lg12 title-squarePersona">
              <Persona text={title} initialsColor={inColor} />
            </div>
          </div>
        )}
        {!icon && (
          <div className="ms-Grid-row">
            <div className="ms-Grid-col ms-sm12 ms-md12 ms-lg12">
              <Label className="ms-font-l">{title}</Label>
            </div>
          </div>
        )}
        <div className="ms-Grid-row title-nl-md">
          <div className="ms-Grid-col ms-sm12 ms-md12 ms-lg12" />
        </div>
      </div>
    );
  }
}
